package com.bonus.material.ma.service;

import java.util.List;
import com.bonus.material.ma.domain.PartRepair;

/**
 * 维修班配件配置Service接口
 * 
 * @author xsheng
 * @date 2024-09-27
 */
public interface IPartRepairService 
{
    /**
     * 查询维修班配件配置
     * 
     * @param partId 维修班配件配置主键
     * @return 维修班配件配置
     */
    public PartRepair selectPartRepairByPartId(Long partId);

    /**
     * 查询维修班配件配置列表
     * 
     * @param partRepair 维修班配件配置
     * @return 维修班配件配置集合
     */
    public List<PartRepair> selectPartRepairList(PartRepair partRepair);

    /**
     * 新增维修班配件配置
     * 
     * @param partRepair 维修班配件配置
     * @return 结果
     */
    public int insertPartRepair(PartRepair partRepair);

    /**
     * 修改维修班配件配置
     * 
     * @param partRepair 维修班配件配置
     * @return 结果
     */
    public int updatePartRepair(PartRepair partRepair);

    /**
     * 批量删除维修班配件配置
     * 
     * @param partIds 需要删除的维修班配件配置主键集合
     * @return 结果
     */
    public int deletePartRepairByPartIds(Long[] partIds);

    /**
     * 删除维修班配件配置信息
     * 
     * @param partId 维修班配件配置主键
     * @return 结果
     */
    public int deletePartRepairByPartId(Long partId);
}
